NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::EdgeRipBuilder Class Reference

Represents a Edge Rip feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::EdgeRipBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EndCapShapeOptions { EndCapShapeOptionsSquare, EndCapShapeOptionsRound }
 This enum defines the end cap shapes. More...
 

Public Member Functions

NXOpen::ExpressionBlendRadius ()
 Returns the blend radius. More...
 
bool BlendSharpCorners ()
 Returns whether sharp corners should be blended. More...
 
NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptions EndCapShape ()
 Returns the end cap shape type. More...
 
std::vector< NXOpen::Edge * > GetRipEdges ()
 Edges to rip. More...
 
NXOpen::SectionSection ()
 Returns the section used by Edge Rip
Created in NX4.0.0. More...
 
void SetBlendSharpCorners (bool blendSharpCorners)
 Sets whether sharp corners should be blended. More...
 
void SetEndCapShape (NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptions endCapShape)
 Sets the end cap shape type. More...
 
void SetRipEdges (const std::vector< NXOpen::Edge * > &ripEdges)
 Edges to rip
Created in NX5.0.0. More...
 
void SetSection (NXOpen::Section *section)
 Sets the section used by Edge Rip
Created in NX4.0.0. More...
 
void SetSketch (NXOpen::Features::SketchFeature *sketch)
 Sets the Slave Sketch used by the Edge Rip, If one exists. More...
 
void SetUseSystemWidth (bool useSystemWidth)
 Sets whether the system width should be used. More...
 
NXOpen::Features::SketchFeatureSketch ()
 Returns the Slave Sketch used by the Edge Rip, If one exists. More...
 
bool UseSystemWidth ()
 Returns whether the system width should be used. More...
 
int ValidateBuilderData ()
 Verify whether the builder data is valid for creating a Edge Rip or not. More...
 
NXOpen::ExpressionWidth ()
 Returns the rip width. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Edge Rip feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateEdgeRipFeatureBuilder

Created in NX4.0.0.

Member Enumeration Documentation

This enum defines the end cap shapes.

Enumerator
EndCapShapeOptionsSquare 

square end caps

EndCapShapeOptionsRound 

round end caps

Member Function Documentation

NXOpen::Expression* NXOpen::Features::SheetMetal::EdgeRipBuilder::BlendRadius ( )

Returns the blend radius.

This only applies if NXOpen::Features::SheetMetal::EdgeRipBuilder::BlendSharpCorners and NXOpen::Features::SheetMetal::EdgeRipBuilder::SetBlendSharpCorners is set to true.
Created in NX12.0.2.

License requirements : None

bool NXOpen::Features::SheetMetal::EdgeRipBuilder::BlendSharpCorners ( )

Returns whether sharp corners should be blended.

If true, blends will be applied at sharp corners with radius specified by NXOpen::Features::SheetMetal::EdgeRipBuilder::BlendRadius and NXOpen::Features::SheetMetal::EdgeRipBuilder::SetBlendRadius .
Created in NX12.0.2.

License requirements : None

NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptions NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShape ( )

Returns the end cap shape type.

This only applies if NXOpen::Features::SheetMetal::EdgeRipBuilder::UseSystemWidth and NXOpen::Features::SheetMetal::EdgeRipBuilder::SetUseSystemWidth is set to false.
Specify NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptionsSquare for square end caps. Specify NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptionsRound for rounded end caps.


Created in NX12.0.2.

License requirements : None

std::vector<NXOpen::Edge *> NXOpen::Features::SheetMetal::EdgeRipBuilder::GetRipEdges ( )

Edges to rip.

Returns
Rip Edges
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Section* NXOpen::Features::SheetMetal::EdgeRipBuilder::Section ( )

Returns the section used by Edge Rip
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

void NXOpen::Features::SheetMetal::EdgeRipBuilder::SetBlendSharpCorners ( bool  blendSharpCorners)

Sets whether sharp corners should be blended.

If true, blends will be applied at sharp corners with radius specified by NXOpen::Features::SheetMetal::EdgeRipBuilder::BlendRadius and NXOpen::Features::SheetMetal::EdgeRipBuilder::SetBlendRadius .
Created in NX12.0.2.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
blendSharpCornersblendsharpcorners
void NXOpen::Features::SheetMetal::EdgeRipBuilder::SetEndCapShape ( NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptions  endCapShape)

Sets the end cap shape type.

This only applies if NXOpen::Features::SheetMetal::EdgeRipBuilder::UseSystemWidth and NXOpen::Features::SheetMetal::EdgeRipBuilder::SetUseSystemWidth is set to false.
Specify NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptionsSquare for square end caps. Specify NXOpen::Features::SheetMetal::EdgeRipBuilder::EndCapShapeOptionsRound for rounded end caps.


Created in NX12.0.2.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
endCapShapeendcapshape
void NXOpen::Features::SheetMetal::EdgeRipBuilder::SetRipEdges ( const std::vector< NXOpen::Edge * > &  ripEdges)

Edges to rip
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
ripEdgesRip Edges
void NXOpen::Features::SheetMetal::EdgeRipBuilder::SetSection ( NXOpen::Section section)

Sets the section used by Edge Rip
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
sectionsection
void NXOpen::Features::SheetMetal::EdgeRipBuilder::SetSketch ( NXOpen::Features::SketchFeature sketch)

Sets the Slave Sketch used by the Edge Rip, If one exists.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
sketchsketch
void NXOpen::Features::SheetMetal::EdgeRipBuilder::SetUseSystemWidth ( bool  useSystemWidth)

Sets whether the system width should be used.

If true, edge rip will be created with the system default rip width.
Created in NX12.0.2.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
useSystemWidthusesystemwidth
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::EdgeRipBuilder::Sketch ( )

Returns the Slave Sketch used by the Edge Rip, If one exists.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

bool NXOpen::Features::SheetMetal::EdgeRipBuilder::UseSystemWidth ( )

Returns whether the system width should be used.

If true, edge rip will be created with the system default rip width.
Created in NX12.0.2.

License requirements : None

int NXOpen::Features::SheetMetal::EdgeRipBuilder::ValidateBuilderData ( )

Verify whether the builder data is valid for creating a Edge Rip or not.


If the Builder data is valid, returned value shall be 0


Returns
Data Validity Flag.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::EdgeRipBuilder::Width ( )

Returns the rip width.

This only applies if NXOpen::Features::SheetMetal::EdgeRipBuilder::UseSystemWidth and NXOpen::Features::SheetMetal::EdgeRipBuilder::SetUseSystemWidth is set to false.
Created in NX12.0.2.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.